<template name="courseEdit">
	{{#if Template.subscriptionsReady}}
		<div class="edit-page">
			<form autocomplete="off">
				{{#if proposeFromQuery}}
					<h2>{{i18n 'find.propose_new_course?' 'Why not propose a new course for "{TERM}"?' TERM=(courseSearch)}}
					</h2>
				{{else}}
					{{#if _id}}
						<h2>{{i18n 'course.edit.edit_course' 'Edit course'}}</h2>
					{{else}}
						{{#unless isFrame}}
							<h2>
								{{#if newCourseGroupName}}
									{{i18n 'course.edit.proposeInGroup' 'Propose new course in group {GROUP}' GROUP=newCourseGroupName}}
								{{else}}
									{{i18n 'course.edit.propose' 'Propose new course'}}
								{{/if}}
							</h2>
							<div class="icon-text">
								<div class="icon-text-icon">
									<i class="fa-solid fa-info fa-fw" aria-hidden="true"></i>
								</div>
								<div class="icon-text-text">
									{{i18n 'course.propose.CourseInfo' 'Start your own {SITENAME} course here. Whether as a mentor or participant, you decide what and how you want to learn. More info here:' SITENAME=siteName}}
									<a href="{{localized PublicSettings.courseGuideLink}}"
									   target='_blank'>
										{{i18n 'course.propose.guideLink' 'How to organize my first {SITENAME} course?' SITENAME=siteName}}
									</a>,
									<a href="{{localized PublicSettings.faqLink}}"
									   target="_blank">{{i18n 'course.propose.faq' 'FAQ'}}</a>
								</div>
							</div>
						{{/unless}}
					{{/if}}
				{{/if}}
				<div class="edit-page-body course-edit-body {{editBodyClasses}}">
					{{#if _id}}
						{{> regionTag this}}
					{{/if}}
					{{#if showSavedMessage}}
						<div class="alert alert-success alert-dismissible fade show" role="alert">
							<h4>
								<i class="fa-solid fa-check" aria-hidden="true"></i>
								{{i18n 'course.edit.savedMessage' 'Your proposal has been saved!'}}
							</h4>
							<a class="alert-link" href="{{savedCourseLink}}" target="_blank">
								{{i18n 'course.edit.linkToCourse' 'Click here to see your new "{NAME}" course on {SITENAME}' NAME=savedCourseName SITENAME=siteName}}
							</a>
							<button type="button" class="btn-close js-close" data-bs-dismiss="alert"
									aria-label="Close"></button>
						</div>
					{{/if}}
					{{#if (state 'simpleRoleSelection')}}
						<div class="mb-3">
							<label class="form-label"
								   id="learnOrTeachTitle">{{i18n 'course.edit.learnOrTeach' 'Learn or teach?'}}</label>
							<div class="btn-group-toggle row" role="group"
								 aria-labelledby="learnOrTeachTitle">
								<div class="col d-grid">
									<label
										   class="btn btn-lg {{simpleRoleActiveClass 'participant'}}">
										<input class="d-none" type="radio" name="role"
											   value="participant" checked>
										<i class="fa-solid fa-user fa-lg fa-fw"></i>
										{{i18n 'course.edit.iWantToLearn' 'I want to learn'}}
									</label>
								</div>
								<div class="col d-grid">
									<label class="btn btn-lg {{simpleRoleActiveClass 'mentor'}}">
										<input class="d-none" type="radio" name="role"
											   value="mentor">
										<i class="fa-solid fa-graduation-cap fa-lg fa-fw"></i>
										{{i18n 'course.edit.iCanTeach' 'I can teach'}}
									</label>
								</div>
							</div>
						</div>
					{{/if}}
					{{> courseTitle}}
					<div class="mb-3">
						<label
							   class="form-label">{{i18n 'course.edit.description' 'Description'}}</label>
						{{> editable instance.editableDescription}}
					</div>
					{{#if hasPricePolicy}}
						{{> pricePolicy dismissable=true wrap='mb-3'}}
					{{/if}}
					<div class="row gap-3 mb-3">
						{{#unless hideCategories}}
							<div class="col-md">
								{{#if (state 'editingCategories')}}
									<label
										   class="form-label mb-0">{{i18n 'course.edit.edit_categories' 'Edit Categories'}}</label>
									{{#each availableCategories}}
										<div class="form-check mt-2">
											<input class='form-check-input js-category-checkbox cat_{{this}}'
												   name='{{this}}' type='checkbox' value="1"
												   id="courseEditCategory{{this}}"
												   {{checkCategory}} />
											<label class="form-check-label {{isChecked}}"
												   for="courseEditCategory{{this}}">
												{{> categoryLabel category=this}}
												{{#if hasSubcategories this}}
													<i
													   class="fa-solid fa-angle-down fa-fw {{isChecked}}"></i>
												{{/if}}
											</label>
										</div>
										{{#each availableSubcategories this}}
											<div class="form-check ms-4">
												<input class="form-check-input js-category-checkbox cat_{{this}}"
													   name='{{this}}' type='checkbox' value="1"
													   id="courseEditSubCategory{{this}}"
													   {{checkCategory}} />
												<label class="form-check-label {{isChecked}}"
													   for="courseEditSubCategory{{this}}">
													{{> categoryLabel category=this}}
												</label>
											</div>
										{{/each}}
									{{/each}}
								{{else}}
									<label
										   class="form-label">{{i18n 'course.edit.categories' 'Categories'}}</label>
									{{#if categories}}
										{{> courseCategories categories=this.categories}}
									{{/if}}
									{{#unless categories}}
										<div>
											{{i18n 'course.edit.no.categories' 'No categories'}}
										</div>
									{{/unless}}
									<button type="button" class="btn btn-edit js-edit-categories">
										{{i18n 'course.edit.edit_categories'}}
									</button>
								{{/if}}
							</div>
						{{/unless}}
						{{#if (state 'fullRoleSelection')}}
							<div class="col-md">
								<label
									   class="form-label">{{i18n 'course.edit.needs.role' 'This course might need…'}}</label>
								{{#each role in availableRoles}}
									{{> courseEditRole selected=roles role=role members=members}}
								{{/each}}
							</div>
						{{/if}}
						{{#if showMoreInfo}}
							<div class="col-md">

								{{#if instance.showRegionSelection}}
									<div class="mb-3">
										<label
											   class="form-label">{{i18n 'course.edit.region' 'Region'}}</label>
										<div class="input-group">
											<div class="input-group-text">
												<span class="fa-solid fa-location-dot"
													  aria-hidden="true"></span>
											</div>
											<select class="js-select-region form-select"
													name='region'>
												<option value='' disabled
														selected="{{#if isCurrentRegion 'all'}}selected{{/if}}"
														class="select-placeholder">
													{{i18n '_selection.pleaseSelect'}}
												</option>
												{{#each region in regions}}
													<option value='{{region._id}}'
															selected="{{#if isCurrentRegion region._id}}selected{{/if}}">
														{{region.name}}
													</option>
												{{/each}}
											</select>
										</div>
									</div>
								{{/if}}

								{{#each field in instance.customFields "singleLine"}}
									<div class="mb-3">
										<label class="form-label"
											   for="course-custom-field-{{field.name}}">{{localized field.editText}}</label>
										<input type="text"
											   class="form-control js-custom-field-{{field.name}}"
											   id="course-custom-field-{{field.name}}"
											   placeholder="{{localized field.editPlaceholder}}"
											   value="{{getCustomFieldValue field.name}}">
									</div>
								{{/each}}
							</div>
						{{/if}}
					</div>
					{{#each field in instance.customFields "multiLine"}}
						<div class="mb-3">
							<label class="form-label"
								   for="course-custom-field-{{field.name}}">{{localized field.editText}}</label>
							<textarea class="form-control js-custom-field-{{field.name}}"
									  id="course-custom-field-{{field.name}}"
									  placeholder="{{localized field.editPlaceholder}}"
									  rows="3">{{getCustomFieldValue field.name}}</textarea>
						</div>
					{{/each}}

					{{#if instance.showInternalCheckbox}}
						<div class="mb-3">
							<label
								   class="form-label">{{i18n 'course.edit.intern' 'Hide on front page'}}</label>
							<div class="form-check">
								<input class="form-check-input js-check-internal" type="checkbox"
									   value="" id="internalCheckbox" {{isInternal}} />
								<label class="form-check-label" for="internalCheckbox">
									{{i18n 'course.edit.internDescription' "Only show when looking at a group's courses"}}
								</label>
							</div>
						</div>
					{{/if}}

					<div class="form-actions">
						{{> buttonSave event="js-course-edit-save" saving=saving}}
						{{#unless isFrame}}
							{{> buttonCancel event="js-course-edit-cancel"}}
						{{/unless}}
					</div>
				</div>
			</form>
		</div>
	{{/if}}
</template>

<template name="courseEditRole">
	<div class="form-check">
		<input class='form-check-input js-check-role {{role.type}}' name='{{role.type}}'
			   type="checkbox" value="" id="courseEditRole{{role.type}}Check" {{checkRole}} />
		<label class="form-check-label {{role.type}}" for="courseEditRole{{role.type}}Check">
			<span class="{{role.icon}} fa-fw" aria-hidden="true"></span>
			{{i18n roleDescription}}
		</label>
	</div>
	{{#if checkRole}}
		<div class="form-check ms-4">
			<input class='form-check-input js-check-enroll {{role.type}}' name='{{role.type}}'
				   type="checkbox" id="courseEditRole{{role.type}}EnrollCheck" {{hasRole}} />
			<label class="form-check-label" for="courseEditRole{{role.type}}EnrollCheck">
				{{i18n roleSubscription}}
			</label>
		</div>
	{{/if}}
</template>

<template name="courseTitle">
	<div class="mb-3 js-proposed-search">
		<label class="form-label">{{i18n 'course.edit.title' 'Title'}}</label>
		<div class="dropdown">
			<input class="form-control form-control-lg dropdown-toggle js-title" id="editform_name"
				   placeholder="{{i18n 'course.title.placeholder' 'What are you interested in?' attr=true}}"
				   size="40" type="text" data-bs-toggle="dropdown" value="{{name}}" />
			<ul class="dropdown-menu proposed-courses js-proposed-courses {{#unless proposedCourses.count}}d-none{{/unless}}"
				role="menu" aria-labelledby="editform_name">
				{{#if proposedCourses.count}}
					<li class="dropdown-header">
						<i class="fa-solid fa-info-circle" aria-hidden="true"></i>
						{{i18n 'proposedCoursesDropdown.joinExistingCourseQuestion' 'Maybe you would like to join an existing course?'}}
						<button type="button" class="btn btn-close"></button>
					</li>
					<li>
						<hr class="dropdown-divider">
					</li>
					{{#each proposedCourses}}
						<li class="dropdown-entry js-dropdown-entry" role="presentation"><a
							   class="dropdown-item" href="{{pathFor 'showCourse'}}" role="menuitem"
							   tabindex="-1">{{name}}</a></li>
					{{/each}}
				{{/if}}
				<button type="button" class="btn btn-cancel js-close-btn close-dropdown-button">
					{{i18n 'button.proposedCourses.close' 'No thanks'}}
				</button>
			</ul>
		</div>
	</div>
</template>
